# Method: projects.locations.dnsThreatDetectors.delete

Deletes a single DnsThreatDetector.

### HTTP request

`DELETE https://networksecurity.googleapis.com/v1/{name=projects/*/locations/*/dnsThreatDetectors/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the DnsThreatDetector resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `networksecurity.dnsThreatDetectors.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).